Inspect project setup status
curl --request GET \
--url https://api.uselemma.ai/projects/{project_id}/setup-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/projects/{project_id}/setup-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/projects/{project_id}/setup-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": "<string>",
"principal_type": "session",
"agent_observability": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"has_ready_trace": true
},
"artifacts": {
"provided_context": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"count": 1,
"agent_count": 1
},
"generated_understanding": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"count": 1,
"agent_count": 1
}
},
"slack": {
"workspace": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable"
},
"alert_channel": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable"
},
"issue_briefs": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"enabled": true,
"cadence": "daily"
},
"support_channel": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"lifecycle_status": "not_requested"
}
},
"linear": {
"feature_enabled": true,
"workspace": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable"
},
"defaults": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"team_configured": true,
"linear_project_configured": true
},
"current_person_identity": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable"
}
},
"external_mcp": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"total_count": 1,
"active_count": 1,
"degraded_count": 1
},
"webhooks": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"total_count": 1,
"enabled_count": 1
},
"api_keys": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"count": 1
},
"lemma_mcp": {
"state": "complete",
"scope": "organization",
"can_manage": true,
"reason_code": "observability_status_unavailable",
"activated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>",
"code": "<string>"
}Projects
Inspect project setup status
Returns setup state, scope, permissions, and stable blocker codes without exposing credentials or provider-private data.
GET
/
projects
/
{project_id}
/
setup-status
Inspect project setup status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID.
Response
Project setup status
Available options:
session, api_key, coding_harness, worker, unknown Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I